from matplotlib import pyplot

# in case you ever need it, the GFN's green is color="#5d8c3c"
years = list(range(1971, 2022))
months = ["January", "February", "March", "April", "May", "June",
	"July", "August", "September", "October", "November", "December"]

fig, ax = pyplot.subplots(figsize=(10, 6))
ax.set_frame_on(False)
ax.bar(years, [1]*len(years), color="#ce0001")

ax.set_title("Earth Overshoot Day\nAnselm Flügel's version, 1971-2021")

ax.tick_params(length=0)
ax.tick_params('x', labelrotation=60)
ax.tick_params('y', pad=-20)
ax.set_yticks([1/12*i+1/24 for i in range(12)])
ax.set_yticklabels(months)
ax.set_xticks(years[::2])

fig.tight_layout()
#pyplot.show()
fig.savefig("eod.png")
